
// Custom Theming for Angular Material
// For more information: https://material.angular.io/guide/theming
@import '~@angular/material/theming';
// Plus imports for other components in your app.

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat-core();

// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/

$md-melotrisprimary: (
  50 : #e4e5e7,
  100 : #bbbec4,
  200 : #8d929d,
  300 : #5f6676,
  400 : #3d4658,
  500 : #1b253b,
  600 : #182135,
  700 : #141b2d,
  800 : #101626,
  900 : #080d19,
  A100 : #5986ff,
  A200 : #2661ff,
  A400 : #0042f2,
  A700 : #003bd9,
  contrast: (
    50 : #080d19,
    100 : #080d19,
    200 : #080d19,
    300 : #f7f9f5,
    400 : #f7f9f5,
    500 : #f7f9f5,
    600 : #f7f9f5,
    700 : #f7f9f5,
    800 : #f7f9f5,
    900 : #f7f9f5,
    A100 : #080d19,
    A200 : #f7f9f5,
    A400 : #f7f9f5,
    A700 : #f7f9f5,
    )
);

$md-melotrisneutral: (
    50 : #edf4f6,
    100 : #d2e3e8,
    200 : #b4d0d9,
    300 : #96bdca,
    400 : #80afbe,
    500 : #69a1b3,
    600 : #6199ac,
    700 : #568fa3,
    800 : #4c859a,
    900 : #3b748b,
    A100 : #dbf5ff,
    A200 : #a8e6ff,
    A400 : #75d7ff,
    A700 : #5ccfff,
    contrast: (
        50 : #080d19,
        100 : #080d19,
        200 : #080d19,
        300 : #080d19,
        400 : #080d19,
        500 : #080d19,
        600 : #080d19,
        700 : #080d19,
        800 : #f7f9f5,
        900 : #f7f9f5,
        A100 : #080d19,
        A200 : #080d19,
        A400 : #080d19,
        A700 : #080d19,
    )
);

$md-preisner-primary: (
  50 : #e4e5e7,
  100 : #bbbec4,
  200 : #8d929d,
  300 : #5f6676,
  400 : #3d4658,
  500 : #1b253b,
  600 : #182135,
  700 : #141b2d,
  800 : #101626,
  900 : #080d19,
  A100 : #5986ff,
  A200 : #2661ff,
  A400 : #0042f2,
  A700 : #003bd9,
  contrast: (
    50 : #080d19,
    100 : #080d19,
    200 : #080d19,
    300 : #f7f9f5,
    400 : #f7f9f5,
    500 : #f7f9f5,
    600 : #f7f9f5,
    700 : #f7f9f5,
    800 : #f7f9f5,
    900 : #f7f9f5,
    A100 : #080d19,
    A200 : #f7f9f5,
    A400 : #f7f9f5,
    A700 : #f7f9f5,
    )
);

$md-preisner-accent: (
    50 : #f9e5e6,
    100 : #efbdc0,
    200 : #e59196,
    300 : #db656b,
    400 : #d3444c,
    500 : #cb232c,
    600 : #c61f27,
    700 : #be1a21,
    800 : #b8151b,
    900 : #ac0c10,
    A100 : #ffd9d9,
    A200 : #ffa6a7,
    A400 : #ff7375,
    A700 : #ff595c,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #000000,
        400 : #ffffff,
        500 : #ffffff,
        600 : #ffffff,
        700 : #ffffff,
        800 : #ffffff,
        900 : #ffffff,
        A100 : #000000,
        A200 : #000000,
        A400 : #000000,
        A700 : #000000,
    )
    );
    $md-preisner-accent2: (
      50 : #e5f7ff,
      100 : #bfebff,
      200 : #95ddff,
      300 : #6acfff,
      400 : #4ac5ff,
      500 : #2abbff,
      600 : #25b5ff,
      700 : #1facff,
      800 : #19a4ff,
      900 : #0f96ff,
      A100 : #ffffff,
      A200 : #f7fbff,
      A400 : #c4e3ff,
      A700 : #abd7ff,
      contrast: (
          50 : #000000,
          100 : #000000,
          200 : #000000,
          300 : #000000,
          400 : #000000,
          500 : #000000,
          600 : #000000,
          700 : #000000,
          800 : #000000,
          900 : #ffffff,
          A100 : #000000,
          A200 : #000000,
          A400 : #000000,
          A700 : #000000,
      )
  );
  $md-preisner-neutral: (
    50 : #fefefe,
    100 : #fdfdfc,
    200 : #fbfcfa,
    300 : #f9fbf8,
    400 : #f8faf7,
    500 : #f7f9f5,
    600 : #f6f8f4,
    700 : #f5f7f2,
    800 : #f3f6f0,
    900 : #f1f5ee,
    A100 : #ffffff,
    A200 : #ffffff,
    A400 : #ffffff,
    A700 : #ffffff,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #000000,
        400 : #000000,
        500 : #000000,
        600 : #000000,
        700 : #000000,
        800 : #000000,
        900 : #000000,
        A100 : #000000,
        A200 : #000000,
        A400 : #000000,
        A700 : #000000,
    )
);
//initial colors
//$patrykpreisner-primary: mat-palette($md-melotrisprimary, 500, 400, 700);
//$patrykpreisner-neutral: mat-palette($md-melotrisneutral, 500, 200, 800);
//updated colors
$patrykpreisner-primary: mat-palette($md-preisner-primary, 500, 400, 700);
$patrykpreisner-accent: mat-palette($md-preisner-accent, 500, 400, 700);
$patrykpreisner-neutral: mat-palette($md-preisner-neutral, 500, 400, 700);

// The warn palette is optional (defaults to red).
$patrykpreisner-warn: mat-palette($mat-red);

// Create the theme object. A theme consists of configurations for individual
// theming systems such as "color" or "typography".
$patrykpreisner-theme: mat-light-theme((
  color: (
    primary: $patrykpreisner-primary,
    accent: $patrykpreisner-accent,
    warn: $patrykpreisner-warn,
  )
));

$custom-typography: mat-typography-config(
  $font-family: 'Roboto, "Helvetica Neue", sans-serif',
  $headline: mat-typography-level(32px, 48px, 700),
  $body-1: mat-typography-level(16px, 24px, 500)
);

// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
@include angular-material-theme($patrykpreisner-theme);
// Override typography CSS classes (e.g., mat-h1, mat-display-1, mat-typography, etc.).
@include mat-base-typography($custom-typography);

// Override typography for a specific Angular Material components.
@include mat-checkbox-typography($custom-typography);

// Override typography for all Angular Material, including mat-base-typography and all components.
@include angular-material-typography($custom-typography);

/* You can add global styles to this file, and also import other style files */
.color-primary {
  color: #f7f9f5;
  background-color: mat-color($patrykpreisner-primary);
}


.color-primary-light {
  //color: #000;
  background-color: mat-color($patrykpreisner-primary,50);
}

.color-neutral {
  //color: #f7f9f5;
  background-color: mat-color($patrykpreisner-neutral);
  //opacity: 0.8;
}

.color-accent {
  color: #f7f9f5;
  
  background-color: mat-color($patrykpreisner-accent);
}
.color-active {
  //color: mat-color($patrykpreisner-accent,500);
  //font-weight: bolder;
  text-decoration-line:  overline!important;
  text-decoration-color: mat-color($patrykpreisner-accent,500)!important;
  text-decoration-thickness: 3px!important;
  //text-decoration-style: dashed!important;
}
.color-accent-inverse {
  color: mat-color($patrykpreisner-accent,500);
  font-weight: bold;
  //background-color: mat-color($patrykpreisner-accent);
  font-family: Roboto, "Helvetica Neue", sans-serif; 
}

.color-bright {
    background-color: #f7f9f5;
    color: mat-color($patrykpreisner-primary,darker)
}

html, body {
  height: 100%;
  box-sizing: border-box;
  margin: 0;
  font-family: Roboto, "Helvetica Neue", sans-serif; 
  background-color: mat-color($patrykpreisner-neutral);
  display: flex;
  flex-direction: column;
  min-height: 100%;
}

svg {
  display: block;
  margin: 0 auto;
}
.content{
  margin: 1rem;
  padding: 1rem;
  flex: 1;
}

svg {
  display: block !important;
  margin: 0 auto !important;
}

ic-icon.icon{
  align-self: center;
}

.button{
  margin:1rem
}